Package com.google.android.exoplayer2.drm

## Class DrmSession.DrmSessionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.drm.DrmSession.DrmSessionException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    DrmSession

      public static class DrmSession.DrmSessionException
      extends IOException

  Wraps the throwable which is the cause of the error state.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `errorCode` | The `PlaybackException.ErrorCode` that corresponds to the failure.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrmSessionException​(Throwable cause, int errorCode)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          @ErrorCode
          public final int errorCode

      The `PlaybackException.ErrorCode` that corresponds to the failure.

  - ### Constructor Detail

    - #### DrmSessionException

          public DrmSessionException​(Throwable cause,
                                     @ErrorCode
                                     int errorCode)